Subject: Re: Error codes
From: [email-masked] (David Empson)
Date: Tue, 10 May 1994 12:40:24 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]>, Joe Busnengo  <[email-masked]> wrote:
>  >Where is the //GS built-in test documented and the error codes explained?
>  >
>  >I've looked through every reference I have and no luck.

> It's documented in one of the IIGS tech notes.  I don't have the
> index on disk anymore, but I'm sure someone else can tell you exactly
> which one it is. 

It is IIgs Technical Note #95 (TN.IIGS.095), "ROM Diagnostic Errors".

One point I should mention here, since it seems to come up so often:
if you have a ZIP GS installed and enabled, the IIgs will _always_
fail some of its diagnostic tests (the ones that test the processor
speed and use the processor to time hardware interrupt sources).

This is noted in the ZIP GS manual.  The tests that fail are 0Bxxxxxx
and 0Cxxxxxx.  If the "counter delay" is disabled (SW1-4 ON) then the
IIgs will also fail test 05xxxxxx.

If you want to run the test properly, you must disable the ZIP GS, by
turning the computer off, setting SW1-6 to the OFF position, then
powering up again and running the self-test (by holding down both
Apple and Option).

Here is the key information from the technote.

If the IIgs fails one of its tests, an 8-digit hexadecimal number is
printed.  The first two digits indicate the general class of the
failure (the test number), and the remaining digits provide more
information.

The failure codes are:

01xxxxxx    ROM failure (or RAM failure if the last two digits are 01)
02xxxxxx    RAM failure or ADB tool call error
03xxxxxx    Soft switches and state register
04xxxxxx    RAM address failure or ADB tool call error
05xxxxxx    Speed error
06xxxxxx    Serial port failure
07xxxxxx    Clock failure
08xxxxxx    Battery RAM failure
09xxxxxx    Apple Desktop Bus failure
0Axxxxxx    Shadow register failure
0Bxxxxxx    Interrupt failure
0Cxxxxxx    Sound failure (Ensoniq or RAM access)

See the technote for full details.
-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand